//------------------------------------------//
// filter.h                                 //
//------------------------------------------//

#ifndef __FILTER_H__
#define __FILTER_H__

#include <Window.h>
#include <View.h>
#include <Directory.h>
#include <Path.h>
#include <File.h>
#include <FindDirectory.h>
#include <Bitmap.h>
#include <image.h>

#define IG_FILTER_API	1
//------------------------------------------
//Filter class

class Filter
{
public:
	//constructor and destructor
			Filter( image_id );
	virtual	~Filter();
	//operations
	virtual void 		Process(const BBitmap *src, BBitmap **dest);
	virtual void		Configure();

	char 		*TheAuthor() 		{ return Author; }
	char 		*TheVersion()		{ return Version; }
	char 		*TheDescription() 	{ return Description; }
	
	int 		TheAPIVersion()		{ return IG_FILTER_API; }
	image_id	TheID()				{ return mId; }

protected:
	//members
	image_id		mId;

	char			*Author;	
	char 			*Version;
	char			*Description;

};

#endif 
	
